cURL
curl --request GET \ --url https://api.bunny.net/mc/apps/{appId}/endpoints \ --header 'AccessKey: <api-key>'
{ "items": [ { "id": "<string>", "displayName": "<string>", "publicHost": "<string>", "type": "cdn", "isSslEnabled": true, "pullZoneId": "<string>", "portMappings": [ { "containerPort": 123, "exposedPort": 123, "protocols": [ "tcp" ] } ], "containerName": "<string>", "containerId": "<string>", "stickySessions": { "enabled": true, "sessionHeaders": [ "<string>" ], "cookieName": "<string>" }, "internalIpAddresses": [ { "address": "<string>", "region": "<string>" } ], "publicIpAddresses": [ { "address": "<string>", "region": "<string>" } ] } ], "meta": { "totalItems": 123 }, "cursor": "<string>" }
List endpoints from all containers for given application
Please enter a valid personal API key.
The ID of the application
Endpoints were successfully retrieved.
List endpoints response
Show child attributes
Was this page helpful?